# EventBufferEvent::getEnabled

(PECL event >= 1.2.6-beta)

EventBufferEvent::getEnabled — Returns bitmask of events currently enabled on the buffer event

### Description

public EventBufferEvent::getEnabled ( void ) : int

Returns bitmask of events currently enabled on the buffer event

### Parameters

This function has no parameters.

### Return Values

Returns integer representing a bitmask of events currently enabled on the buffer event

### See Also

- EventBufferEvent::enable() - Enable events read, write, or both on a buffer event
- EventBufferEvent::disable() - Disable events read, write, or both on a buffer event